ApiRollingRestartArgs (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiRollingRestartArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiRollingRestartArgs

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiRollingRestartArgs
      extends Object

  Arguments used for Rolling Restart commands.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiRollingRestartArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiRollingRestartArgs` | `addRestartRoleNamesItem(String restartRoleNamesItem)`
    `ApiRollingRestartArgs` | `addRestartRoleTypesItem(String restartRoleTypesItem)`
    `boolean` | `equals(Object o)`
    `List<String>` | `getRestartRoleNames()` List of specific roles to restart.
    `List<String>` | `getRestartRoleTypes()` Role types to restart.
    `BigDecimal` | `getSlaveBatchSize()` Number of slave roles to restart at a time.
    `BigDecimal` | `getSlaveFailCountThreshold()` The threshold for number of slave batches that are allowed to fail to restart before the entire command is considered failed.
    `BigDecimal` | `getSleepSeconds()` Number of seconds to sleep between restarts of slave role batches.
    `Boolean` | `getStaleConfigsOnly()` Restart roles with stale configs only.
    `Boolean` | `getUnUpgradedOnly()` Restart roles that haven't been upgraded yet.
    `int` | `hashCode()`
    `ApiRollingRestartArgs` | `restartRoleNames(List<String> restartRoleNames)`
    `ApiRollingRestartArgs` | `restartRoleTypes(List<String> restartRoleTypes)`
    `void` | `setRestartRoleNames(List<String> restartRoleNames)`
    `void` | `setRestartRoleTypes(List<String> restartRoleTypes)`
    `void` | `setSlaveBatchSize(BigDecimal slaveBatchSize)`
    `void` | `setSlaveFailCountThreshold(BigDecimal slaveFailCountThreshold)`
    `void` | `setSleepSeconds(BigDecimal sleepSeconds)`
    `void` | `setStaleConfigsOnly(Boolean staleConfigsOnly)`
    `void` | `setUnUpgradedOnly(Boolean unUpgradedOnly)`
    `ApiRollingRestartArgs` | `slaveBatchSize(BigDecimal slaveBatchSize)`
    `ApiRollingRestartArgs` | `slaveFailCountThreshold(BigDecimal slaveFailCountThreshold)`
    `ApiRollingRestartArgs` | `sleepSeconds(BigDecimal sleepSeconds)`
    `ApiRollingRestartArgs` | `staleConfigsOnly(Boolean staleConfigsOnly)`
    `String` | `toString()`
    `ApiRollingRestartArgs` | `unUpgradedOnly(Boolean unUpgradedOnly)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiRollingRestartArgs

          public ApiRollingRestartArgs()

  - ### Method Detail

    - #### slaveBatchSize

          public ApiRollingRestartArgs slaveBatchSize(BigDecimal slaveBatchSize)

    - #### getSlaveBatchSize

          public BigDecimal getSlaveBatchSize()

      Number of slave roles to restart at a time. Must be greater than zero. Default is 1. Please note that for HDFS, this number should be less than the replication factor (default 3) to ensure data availability during rolling restart.
      Returns:
        slaveBatchSize

    - #### setSlaveBatchSize

          public void setSlaveBatchSize(BigDecimal slaveBatchSize)

    - #### sleepSeconds

          public ApiRollingRestartArgs sleepSeconds(BigDecimal sleepSeconds)

    - #### getSleepSeconds

          public BigDecimal getSleepSeconds()

      Number of seconds to sleep between restarts of slave role batches. Must be greater than or equal to 0. Default is 0.
      Returns:
        sleepSeconds

    - #### setSleepSeconds

          public void setSleepSeconds(BigDecimal sleepSeconds)

    - #### slaveFailCountThreshold

          public ApiRollingRestartArgs slaveFailCountThreshold(BigDecimal slaveFailCountThreshold)

    - #### getSlaveFailCountThreshold

          public BigDecimal getSlaveFailCountThreshold()

      The threshold for number of slave batches that are allowed to fail to restart before the entire command is considered failed. Must be greather than or equal to 0. Default is 0. <p> This argument is for ADVANCED users only. </p>
      Returns:
        slaveFailCountThreshold

    - #### setSlaveFailCountThreshold

          public void setSlaveFailCountThreshold(BigDecimal slaveFailCountThreshold)

    - #### staleConfigsOnly

          public ApiRollingRestartArgs staleConfigsOnly(Boolean staleConfigsOnly)

    - #### getStaleConfigsOnly

          public Boolean getStaleConfigsOnly()

      Restart roles with stale configs only.
      Returns:
        staleConfigsOnly

    - #### setStaleConfigsOnly

          public void setStaleConfigsOnly(Boolean staleConfigsOnly)

    - #### unUpgradedOnly

          public ApiRollingRestartArgs unUpgradedOnly(Boolean unUpgradedOnly)

    - #### getUnUpgradedOnly

          public Boolean getUnUpgradedOnly()

      Restart roles that haven't been upgraded yet.
      Returns:
        unUpgradedOnly

    - #### setUnUpgradedOnly

          public void setUnUpgradedOnly(Boolean unUpgradedOnly)

    - #### restartRoleTypes

          public ApiRollingRestartArgs restartRoleTypes(List<String> restartRoleTypes)

    - #### addRestartRoleTypesItem

          public ApiRollingRestartArgs addRestartRoleTypesItem(String restartRoleTypesItem)

    - #### getRestartRoleTypes

          public List<String> getRestartRoleTypes()

      Role types to restart. If not specified, all startable roles are restarted. Both role types and role names should not be specified.
      Returns:
        restartRoleTypes

    - #### setRestartRoleTypes

          public void setRestartRoleTypes(List<String> restartRoleTypes)

    - #### restartRoleNames

          public ApiRollingRestartArgs restartRoleNames(List<String> restartRoleNames)

    - #### addRestartRoleNamesItem

          public ApiRollingRestartArgs addRestartRoleNamesItem(String restartRoleNamesItem)

    - #### getRestartRoleNames

          public List<String> getRestartRoleNames()

      List of specific roles to restart. If none are specified, then all roles of specified role types are restarted. Both role types and role names should not be specified.
      Returns:
        restartRoleNames

    - #### setRestartRoleNames

          public void setRestartRoleNames(List<String> restartRoleNames)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.